// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/GameModeBase.h"
#include "Components/TextBlock.h"
#include "Blueprint/UserWidget.h"
#include "MyGameModeBase.generated.h"

class UTextBlock;
/**
 * 
 */
UCLASS()
class TUTOBEGGINER_API AMyGameModeBase : public AGameModeBase
{
	GENERATED_BODY()

	AMyGameModeBase();
	virtual void Tick( float DeltaTime ) override;
	
public:
	void GameOver();

	float GetTimer(){ return TotalTime; };

private:
	float TotalTime = 0.f;
};
